Bug 96077

Summary: [BlackBerry] To support "Frames View" of "TimeLine" panel in Inspector
Product: WebKit Reporter: Peter Wang <PeterHWang>
Component: WebKit BlackBerryAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: anilsson, charles.wei, efidler, kpiascik, mifenton, mlattanzio, mstaikos, pfeldman, rwlbuis, staikos, tonikitoo, webkit.review.bot, yurys
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 88225    
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Peter Wang 2012-09-07 00:24:20 PDT
Let BlackBerry port to support the "Frames View" of "TimeLine" panel in Inspector.
Comment 1 Peter Wang 2012-09-07 01:19:24 PDT
Created attachment 162702 [details]
Patch
Comment 2 Pavel Feldman 2012-09-07 03:35:48 PDT
You added support for BB only, but enabled it everywhere. You should only enable it for your port and convert frame view into capability.
Comment 3 Peter Wang 2012-09-07 04:37:32 PDT
Created attachment 162739 [details]
Patch
Comment 4 Peter Wang 2012-09-07 04:43:07 PDT
(In reply to comment #2)
> You added support for BB only, but enabled it everywhere. You should only enable it for your port and convert frame view into capability.
Sorry.
Comment 5 Rob Buis 2012-09-17 07:42:46 PDT
Comment on attachment 162739 [details]
Patch

LGTM.
Comment 6 WebKit Review Bot 2012-09-17 08:00:19 PDT
Comment on attachment 162739 [details]
Patch

Clearing flags on attachment: 162739

Committed r128756: <http://trac.webkit.org/changeset/128756>
Comment 7 WebKit Review Bot 2012-09-17 08:00:23 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 Peter Wang 2012-09-20 01:55:31 PDT
Reopening to attach new patch.
Comment 9 Peter Wang 2012-09-20 01:55:37 PDT
Created attachment 164862 [details]
Patch
Comment 10 Peter Wang 2012-09-20 01:57:44 PDT
(In reply to comment #9)
> Created an attachment (id=164862) [details]
> Patch

A minor modification to make the inspecting results more accurate.
Comment 11 Arvid Nilsson 2012-09-20 02:32:01 PDT
(In reply to comment #10)
> (In reply to comment #9)
> > Created an attachment (id=164862) [details] [details]
> > Patch
> 
> A minor modification to make the inspecting results more accurate.

LGTM
Comment 12 Charles Wei 2012-09-20 03:16:20 PDT
Comment on attachment 164862 [details]
Patch

commit
Comment 13 WebKit Review Bot 2012-09-20 03:38:24 PDT
Comment on attachment 164862 [details]
Patch

Clearing flags on attachment: 164862

Committed r129112: <http://trac.webkit.org/changeset/129112>
Comment 14 WebKit Review Bot 2012-09-20 03:38:28 PDT
All reviewed patches have been landed.  Closing bug.
Comment 15 Peter Wang 2012-09-20 20:02:04 PDT
(In reply to comment #9)
> Created an attachment (id=164862) [details]
> Patch

A minor modification to make the inspecting results more accurate.
Comment 16 Peter Wang 2012-09-20 20:07:04 PDT
(In reply to comment #15)
> (In reply to comment #9)
> > Created an attachment (id=164862) [details] [details]
> > Patch
> 
> A minor modification to make the inspecting results more accurate.

Sorry, this comments is wrongly submitted. This bug is closed already. I just modified the "Blocks" item to record the relationship.